# Generated by Makefile. Do not edit.

commit e3622a6e792ff442f6c76213751f711474388401
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 21 20:59:24 2013 -0500

    3.2.6

 NEWS | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 84b51889b18656bd65843ead39086bf1cd76993a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 21 20:15:12 2013 -0500

    Rename configure.in to configure.ac

 configure.ac | 399 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in | 399 -----------------------------------------------------------
 2 files changed, 399 insertions(+), 399 deletions(-)

commit da04891b0cbd13514a6130f480ce1c9db77e2509
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 21 20:53:07 2013 -0500

    Fix distcheck
    
    The earlier patch forgot to drop sanity-check from POTFILES.

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit cf97922815e3dca7a1e16c34b2cf26e622ec21bb
Author: William Jon McCann <jmccann@redhat.com>
Date:   Sun Apr 3 21:29:55 2011 -0400

    Remove gconf-sanity-check
    
    Local file locking was removed long ago.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646674

 gconf/.gitignore           |   1 -
 gconf/Makefile.am          |  13 +-
 gconf/gconf-backend.h      |   2 +-
 gconf/gconf-sanity-check.c | 421 ---------------------------------------------
 4 files changed, 2 insertions(+), 435 deletions(-)

commit 10e1eef4761fec5f9cda3755fc346dc69c8efa5f
Author: Michael Terry <michael.terry@canonical.com>
Date:   Fri Jul 1 11:22:03 2011 +0100

    Add Unity to OnlyShowIn
    
    https://bugzilla.gnome.org/show_bug.cgi?id=653809

 gsettings/gsettings-data-convert.desktop.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 19279a16ce91a0a0aefce3da79bc1cadbce3dbec
Author: Alfie Costa <agcosta@gis.net>
Date:   Wed Oct 20 23:21:34 2010 -0400

    doc/gconftool-2.1: Fix typo Fe*br*uary and remove a hyphen (Bug 686634)
    
    This patch was submitted to bug 600899 in the Debian BTS by Alfie Costa [1] and has been applied to the Debian package since 2010.
    
    [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=600899
    [2] http://anonscm.debian.org/viewvc/pkg-gnome?view=revision&revision=25464
    
    Bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=686634

 doc/gconftool-2.1 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 884572336d84e80388ec809cd72dba56e693ca06
Author: Adrian Bunk <bunk@stusta.de>
Date:   Wed Aug 29 20:11:29 2012 +0300

    remove the obsolete debian/ from git
    
    It wasn't updated since 2000 and is quite different to the
    current Debian packaging.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682963

 debian/changelog           |  75 ---------------------------------
 debian/control             |  22 ----------
 debian/copyright           |  13 ------
 debian/docs                |   3 --
 debian/libgconf10.files    |   8 ----
 debian/libgconf10.postinst |   7 ----
 debian/rules               | 102 ---------------------------------------------
 7 files changed, 230 deletions(-)

commit 4de9edd2b50686df32ae2b6d69b14c087c5aa73f
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Mon Jan 7 03:44:39 2013 +0200

    configure.in: fix autoreconf with automake-1.13
    
    Remove long obsolete AM_PROG_CC_STDC. There's already proper
    AC_PROG_CC before it, and automake-1.13 errors out upon seeing it.
    
    Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691264

 configure.in | 1 -
 1 file changed, 1 deletion(-)

commit 8c8a4aa0f304174b63f81a4cc171a37a44983206
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Dec 31 12:19:12 2012 +0100

    Updated Spanish translation

 po/es.po | 106 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 52 insertions(+), 54 deletions(-)

commit eb11257a1aaeff846fcac40b7e67ebaa9e7cde88
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Thu Dec 27 23:57:15 2012 +0900

    [l10n] Update Japanese translation

 po/ja.po | 884 +++++++++++++++++++++------------------------------------------
 1 file changed, 294 insertions(+), 590 deletions(-)

commit 84884e9df7ce8c081a1c223c66a799b82545ff1e
Author: Milan Crha <mcrha@redhat.com>
Date:   Thu Oct 18 16:08:02 2012 -0400

    gconf-dbus: fix use after free
    
    gconf_engine_get_fuller is accessing freed memory.
    The problem is that it's referencing strings that are owned
    by a D-Bus message, and they go away when the D-Bus message is freed.
    
    This commit addresses the problem by duplicating the strings and
    freeing them later.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667167

 gconf/gconf-dbus-utils.c | 10 +++++-----
 gconf/gconf-dbus.c       |  9 ++++++---
 2 files changed, 11 insertions(+), 8 deletions(-)

commit 44f85b6119149e2c4217b290bae489cf5fb290ad
Author: Simon Wagner <wagner.sim88@web.de>
Date:   Tue Oct 9 19:20:45 2012 +0200

    fix early bailout when using launchd on Mac OS X
    
    we did not check if DBUS_LAUNCHD_SESSION_BUS_SOCKET
    was set. If this environment variable exists, launchd
    will start the gconf daemon and we won't need a
    X server to start the daemon.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685509

 gconf/gconf-internals.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c0f2d3c33eb55414a7f97e6ebec0255527ff84e
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Mon Sep 24 23:55:29 2012 +0300

    Updated Latvian translation

 po/lv.po | 481 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 238 insertions(+), 243 deletions(-)

commit b8a79a0ae7e9164ae708712ba4b72d548948a4b2
Author: Ani Peter <apeter@redhat.com>
Date:   Tue Sep 18 10:48:22 2012 +0530

    Updated Malayalam file

 po/ml.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 40f640a1a8edd913935bc8f017a58c92ad53480e
Author: Ani Peter <apeter@redhat.com>
Date:   Mon Sep 17 22:36:22 2012 +0530

    Updated Malayalam file

 po/ml.po | 661 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 380 insertions(+), 281 deletions(-)

commit 3e9d30b2346d96446536a0d3d3b49ab3b77f7749
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 16 13:18:25 2012 +0200

    Updated Spanish translation

 po/es.po | 249 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 127 insertions(+), 122 deletions(-)

commit 4518315be968acb18597ae0b837bbbcba015fb8d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Sep 2 23:29:17 2012 +0200

    Updated Polish translation

 po/pl.po | 262 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 130 insertions(+), 132 deletions(-)

commit 4b7be9ca75479716dde13be5b7664389bd04f837
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Aug 14 16:22:29 2012 +0200

    Updated Galician translations
    
    Signed-off-by: Fran Diéguez <fran.dieguez@mabishu.com>

 po/gl.po | 298 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 147 insertions(+), 151 deletions(-)

commit dace7115e1768d5f15bf8eecee38e0273b3a580f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu May 31 13:17:50 2012 +0200

    Updated Spanish translation

 po/es.po | 236 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 115 insertions(+), 121 deletions(-)

commit 7af3a275077501dae502ff8b7a768141ac1e01af
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Wed May 2 10:25:46 2012 +0300

    Updated Greek translation

 po/el.po | 1046 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 557 insertions(+), 489 deletions(-)

commit f62223decf63f342f0fec806284129f66c7c003a
Author: William Jon McCann <jmccann@redhat.com>
Date:   Wed Apr 25 15:00:17 2012 -0400

    Enable silent build by default

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fc28caa7be8604e9a39bbe6b78fb79747860bb40
Author: William Jon McCann <jmccann@redhat.com>
Date:   Wed Apr 25 14:10:08 2012 -0400

    Try to use XDG config directory for settings storage
    
    And fallback to the original locations if it isn't found.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=674803

 doc/gconf/gconf.sgml    |  6 ++++--
 gconf/default.path.in   |  9 ++++++---
 gconf/gconf-internals.c | 40 ++++++++++++++++++++++++++++++++++++++++
 gconf/gconf.path        |  2 +-
 gconf/gconfd.c          | 10 +++-------
 5 files changed, 54 insertions(+), 13 deletions(-)

commit 226de65365e2d28e92457d54d6fbb5f4f54e94db
Author: William Jon McCann <jmccann@redhat.com>
Date:   Wed Apr 25 11:45:31 2012 -0400

    Make directories with parents in case they don't exist
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646663

 gconf/gconfd.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 9de1fae218b3039408dce4325d30ce62ec4f66cf
Author: William Jon McCann <jmccann@redhat.com>
Date:   Wed Apr 25 11:38:35 2012 -0400

    Remove unused gconf_get_lock_dir function
    
    https://bugzilla.gnome.org/show_bug.cgi?id=646663

 gconf/gconf-internals.c | 13 -------------
 gconf/gconf-internals.h |  1 -
 2 files changed, 14 deletions(-)

commit 2bc03c3c9cf8972a3ef87b79c6e955e1843931e3
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Tue Apr 10 23:08:05 2012 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 237 +++++++++++++++++++++++++++---------------------------
 1 file changed, 118 insertions(+), 119 deletions(-)

commit 97becbda98047adbbda2608d0517e368b22b4eae
Author: Jordi Serratosa <jordis@softcatala.cat>
Date:   Tue Apr 10 23:08:02 2012 +0200

    [l10n] Fixes on Catalan translation

 po/ca.po | 279 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 139 insertions(+), 140 deletions(-)

commit f18d4300ba9bc7adea8902ab14aaeb614066e4e3
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Tue Apr 3 22:31:33 2012 +0200

    Updated Esperanto translation

 po/eo.po | 243 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 122 insertions(+), 121 deletions(-)

commit f4dbd0613555bad21eb6b8d3e0cea6ce6f2f0586
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Mon Mar 26 16:49:20 2012 +0530

    hindi translation by Chandan Kumar

 po/hi.po | 864 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 527 insertions(+), 337 deletions(-)

commit badbd85c08210b116059f78124f584beae2c6a03
Author: Morn Met <mornmet@khmeros.info>
Date:   Tue Mar 20 11:31:12 2012 +0100

    Add initial Khmer translation

 po/LINGUAS |    1 +
 po/km.po   | 2762 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2763 insertions(+)

commit 39299610083e0e7f9b44e62b7f4e51e89693cf89
Author: Ray Strode <rstrode@redhat.com>
Date:   Tue Mar 6 14:39:06 2012 -0500

    dbus: fix shutdown
    
    gconftool-2 wasn't properly shutting down gconfd, because
    it was trying to do it before connecting to the daemon.
    
    This commit makes sure that we always first try to connect to
    the daemon before asking it to shutdown.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671490

 gconf/gconf-dbus.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 02f12f41b031a1c2672e7cf1cb8ebde58288c547
Author: Guido Günther <agx@sigxcpu.org>
Date:   Thu Feb 23 21:14:18 2012 +0100

    gsettings-schema-convert: Don't fail to convert lists without default element

 gsettings/gsettings-schema-convert | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 0ddb0a41e0219a06b389050594de96a24a5c0c75
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Mar 10 18:10:17 2012 -0500

    another day, another bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4afbbb52a81a3fe736ddc6edd5d0f11ca7c9727c
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Mar 10 18:07:36 2012 -0500

    GConf 3.2.5

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit b494c02f2c71cc379e8228a8c7082c6f81d7740e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sat Mar 10 17:43:53 2012 -0500

    gsettings-data-convert: fix memory error
    
    This fixes an extremely obvious memory error in the changes introduced
    by commit d28bd006832bd136c58d42003bf1b0f25f74128e.
    
    The upshot of this is reports from malloc() of memory corruption when
    running gsettings conversions (particularly observed on 32 bit).

 gsettings/gsettings-data-convert.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8ba21cf8e45344e3f98d99ed1b9ae15e16987815
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 8 12:21:07 2012 -0500

    bump version after release

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 81b729de846ef3d7c69769dce4fba05ffae06e97
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 8 12:10:22 2012 -0500

    GConf 3.2.4

 NEWS         | 17 +++++++++++++++++
 configure.in |  2 +-
 2 files changed, 18 insertions(+), 1 deletion(-)

commit 1f4573580320b744e6aaad7f7390cff84668d883
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 8 12:08:13 2012 -0500

    build: add uninstall hook for GSettings backend
    
    New automake is more strict about having the install directory clean
    after 'make uninstall' during 'make distcheck'.

 gsettings/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit c35ac7aff8f035710b3fbbee4fe34461cc78681e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Mar 8 11:47:35 2012 -0500

    fix build failure with ORBit enabled
    
    With ORBit enabled, the internal gconf headers (that we are now using
    from gsettings-data-convert) depend on ORBit headers.  Add the proper
    search path to the CFLAGS for gsettings-data-convert to fix that.

 gsettings/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit d28bd006832bd136c58d42003bf1b0f25f74128e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Mar 7 15:04:53 2012 -0500

    gsettings-data-convert: convert only user settings
    
    We only want to migrate settings that were in writable databases (in
    order to avoid 'lifting' system defaults into the user's database).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671581

 gsettings/Makefile.am              |  1 +
 gsettings/gsettings-data-convert.c | 65 ++++++++++++++++++++++++++++++++++++--
 2 files changed, 64 insertions(+), 2 deletions(-)

commit 27c183fe8e63a3a21b58348a294056e2594f985f
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Mar 7 15:04:20 2012 -0500

    sources: remove a harmless warning message
    
    GConf warns if there are no writable databases in use.  Stop it from
    doing that.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=671581

 gconf/gconf-sources.c | 7 -------
 1 file changed, 7 deletions(-)

commit 0914a38ab9758741e878ce2345cc48650f368372
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Mar 2 17:07:01 2012 +0200

    Uploaded Ukranian

 po/uk.po | 389 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 225 insertions(+), 164 deletions(-)

commit ca6c66bdc2da414d2dacb7c96e40a7cdcbe58f03
Author: Kasia Bondarava <kasia.bondarava@gmail.com>
Date:   Sun Feb 26 01:15:19 2012 +0300

    Updated Belarusian translation.

 po/be.po | 2919 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 1334 insertions(+), 1585 deletions(-)

commit 14176e68e899810eea404ea4a42b7480e5114524
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Jun 10 14:38:49 2011 -0400

    daemon: tie saved_state file to session
    
    The code isn't really designed to work well with multiple
    gconfd's writing to the same saved_state file, so we should
    make it per-session.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652289

 gconf/gconfd.c | 82 +++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 79 insertions(+), 3 deletions(-)

commit 2895a09bc0666cf7b26190bdb648ad1f52c174da
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Jun 10 18:47:41 2011 -0400

    daemon: store daemon data in XDG_RUNTIME_DIR
    
    If XDG_RUNTIME_DIR is available it's a much better
    directory than /tmp since it ensures there's no
    DoS possibilities
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652289

 gconf/gconf-internals.c | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit ea6894303f7ebadb98bf4bf70a79c5bf6ef7cb90
Author: Ray Strode <rstrode@redhat.com>
Date:   Fri Jun 10 11:25:55 2011 -0400

    daemon: store saved_state in daemon dir not ~/.gconfd
    
    The daemon dir isn't always ~/.gconfd so we shouldn't hard
    code it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652289

 gconf/gconfd.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 6f3e127330cb0820a373be77be3cb2cacd0b352e
Author: Ray Strode <rstrode@redhat.com>
Date:   Mon Feb 13 23:35:06 2012 -0500

    gconf-dbus: don't crash during sync if gconfd shutting down
    
    The gconfd shuts down after a bit of inactivity.  When that
    happens there's a window where it refuses requests from the
    client library with an error.  The library is resposible for
    gracefully handling this condition and reacting appropriately.
    
    There are many places in the code where the client library has
    this idiom:
    
    db = gconf_engine_get_database (conf, TRUE, err);
    
    if (db == NULL)
      {
        g_return_if_fail(err == NULL || *err != NULL);
    
        return;
      }
    
    In the event gconfd is shutting down, db will be NULL, and the
    code will return early from whatever (non-critical) operation
    it was doing.
    
    gconf_engine_suggest_sync has a similiar chunk of code, but it
    neglected the "return;" and then promptly crashed since it wasn't
    expecting db to be NULL.
    
    This commit adds the return;
    
    https://bugzilla.gnome.org/show_bug.cgi?id=670033

 gconf/gconf-dbus.c | 1 +
 1 file changed, 1 insertion(+)

commit 0bc3a90c2178ae0dd42029f7ad227fa7f44d6c0c
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Sat Feb 4 18:43:35 2012 +0100

    Updated Dutch translation

 po/nl.po | 384 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 224 insertions(+), 160 deletions(-)

commit 6cd97ba58d2022378a627406bcd786eefd5b891a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jan 24 15:12:06 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 220 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 94 insertions(+), 126 deletions(-)

commit 212c2b9f69ccf4fd6a140726a45848d8810ae6ab
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 12:42:13 2012 -0500

    Put back gthread-2.0
    
    Turns out g_thread_init is used in gconftool

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 371b817fec29aeeeaabb24fca80248e8dc4d68c5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 11:37:42 2012 -0500

    Back down gio requirements
    
    2.32 doesn't actually exist yet...

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e06e9553b060d6b0fd96cdf40dbd5918045c52ca
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 09:54:58 2012 -0500

    Bump GIO dep to 2.32
    
    This is needed for the settings schema API.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 120f116e608bc1f09cf65435333e40e00c6b8ad2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 09:53:08 2012 -0500

    Skip nonexisting schemas
    
    This can happen in practice, due to e.g. schemas being packaged
    in subpackages, while all the conversions are kept in a single
    file.

 gsettings/gsettings-data-convert.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 76e5c8e2cf3d2555beb8d06211711d82962a9ebf
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 19 09:51:16 2012 -0500

    Cosmetics: Consistenly capitalize messages

 gsettings/gsettings-data-convert.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 8a9c168c8b9f58cfcfdb021e45fb5a16674a3969
Author: Colin Walters <walters@verbum.org>
Date:   Sat Jan 14 22:08:48 2012 -0500

    build: Add --disable-documentation configure option
    
    Documentation is the source of many cyclical build loops.  Allow
    operating system builders to manually cut these cycles initially
    by disabling documentation for a first pass.

 configure.in          | 5 +++++
 gsettings/Makefile.am | 6 +++++-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 635d28cbf635d89b8bbbb008bf86cc864b8dabb7
Author: Richard Purdie <richard.purdie@intel.com>
Date:   Mon Nov 28 14:34:43 2011 +0000

    Allow the backend directory to be specified from the environment.
    
    This is required in Yoctor so we can relocate gconf-native to different paths
    and still allow it to work.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664650

 gconf/gconf-backend.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit c129898afaa562ffc38f434e5e0c607f525101b8
Author: Sascha Silbe <sascha-pgp@silbe.org>
Date:   Mon Nov 14 16:13:27 2011 +0100

    D-Bus backend: Add GCONF_DEFAULT_SOURCE_PATH support (#664031)
    
    Forward-port 7baf4c6b33a6dd0697a8bdb81bd86c72d58ebdc6
    ("Allow overriding the default config via $GCONF_DEFAULT_SOURCE_PATH")
    from the ORBit to the D-Bus backend to fix (sugar-)jhbuild breakage when
    building with --disable-orbit.

 gconf/gconf-dbus.c | 30 +++++++++++++++++++-----------
 1 file changed, 19 insertions(+), 11 deletions(-)

commit e203d15c02b64f0e74498f85b52d9ca876baa996
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Oct 31 15:30:17 2011 +0000

    Version 3.2.3

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1616085d796b6c387e3f4a7afbd1ac5b465ef94d
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Oct 31 15:30:08 2011 +0000

    Update NEWS

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 5b4330b2cac60b817ff94730e187e4ea87cd8597
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 31 16:00:08 2011 +0100

    Revert d7917514549f48297bc0032a7e2b54bfb17f7495 and clarify comment
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662991

 gconf/gconf-database.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 1b717466bbf42ac22f3674c51fefaaeda9cfec1e
Author: Rob Bradford <rob@linux.intel.com>
Date:   Wed Oct 26 16:59:37 2011 +0100

    Bump version to 3.2.2

 NEWS         | 8 ++++++++
 configure.in | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit d7917514549f48297bc0032a7e2b54bfb17f7495
Author: Ross Burton <ross@linux.intel.com>
Date:   Wed Oct 26 16:42:35 2011 +0100

    gconf-dbus: Clean up ORBit vs DBus logic (thanks, Jasper St. Pierre)

 gconf/gconf-database.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ad3bc4f4fc78749e0d4bf2bfc2cd8045e2570f3f
Author: Jiří Klimeš <jklimes@redhat.com>
Date:   Mon Oct 10 13:18:04 2011 +0200

    gconf-dbus: Don't crash when reply is NULL in gconf_engine_notify_remove()
    
    Fixes: https://bugzilla.gnome.org/show_bug.cgi?id=661372

 gconf/gconf-dbus.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9189d408b9ec51defefc99a4ad385fa453040ea2
Author: Ross Burton <ross@linux.intel.com>
Date:   Wed Oct 26 13:03:43 2011 +0100

    Update NEWS

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 29f0afc00fab4776e00948884fc8c41256672c2e
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Tue Oct 25 19:29:26 2011 +0200

    build: Fix for -Werror=format-security

 gconf/gconf-dbus.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3876d9564955138ec1d277611c55dab61d298c5f
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Oct 24 15:32:19 2011 +0100

    Update NEWS

 NEWS | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit a6a1f4e2959d0d926c07e4039cdabd10a3a17bec
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Oct 24 15:26:52 2011 +0100

    Bump version to 3.2.1

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5d8110519d2742817f8c44b146189e2acea64cf2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 20:12:48 2011 +0200

    gconf-dbus: Fix leaks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659835

 gconf/gconf-database-dbus.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit dc7e44d0a7a9f34d491ce4629c89cb4b37b7bcca
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 20:02:16 2011 +0200

    gconf-dbus: Emit a Bye dbus signal when dropping a database
    
    This enables clients to know the database got dropped, and to stop
    referencing the object path of this database. The clients will
    eventually cause the re-creation of this database when they'll need it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659835

 gconf/gconf-database-dbus.c |  1 +
 gconf/gconf-dbus-utils.h    |  1 +
 gconf/gconf-dbus.c          | 42 ++++++++++++++++++++++++++++++++++++++++++
 gconf/gconfd-dbus.c         | 16 ++++++++++++++++
 gconf/gconfd-dbus.h         |  2 ++
 5 files changed, 62 insertions(+)

commit 54318ebf218743ea1a3353f940eb8f44767fd2bb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 20:02:08 2011 +0200

    gconf-dbus: Do not drop old databases that have clients listening to it
    
    This would be bad as clients would get lost when the object path of this
    dropped database disappears.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659835

 gconf/gconfd.c | 4 ++++
 1 file changed, 4 insertions(+)

commit d77bfc60f0e27d1db24a18661f1a248307307ce1
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 17 19:58:20 2011 +0200

    gconf-dbus: On SIGHUP, do not recreate databases but reload the sources
    
    When we destroy and recreate a database, the object path associated to
    it on dbus changes. This is bad as clients do not know about the object
    path change, and therefore fail.
    
    Instead of destroying and recreating the databases, we simply reload the
    sources for this database. This achieves the same result, without
    changing the object path.
    
    Note that for the corba backend, we still use the old way as simply
    reloading the sources might not work -- the sources are used in
    corba-specific code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659835

 gconf/gconf-database.c | 29 ++++++++++++++----
 gconf/gconf-database.h |  3 ++
 gconf/gconfd.c         | 80 ++++++++++++++++++++++++++++++++++++++++++++------
 3 files changed, 98 insertions(+), 14 deletions(-)

commit d7635af672cd3d4929498f30a93263aa77fa7403
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Wed Oct 19 18:06:11 2011 +1100

    po/vi: import from Damned Lies

 po/vi.po | 453 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 259 insertions(+), 194 deletions(-)

commit 6eef6898442ec4caa1ed57910a7bf27f72352a7b
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Tue Oct 18 00:59:40 2011 +0900

    Updated Japanese translation

 po/ja.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 06cc446d0f72b1c929ea8daf5def5c62fe84a96a
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Wed Oct 5 11:44:09 2011 +0300

    Updated Finnish translation

 po/fi.po | 202 ++++++++++++++++++++-------------------------------------------
 1 file changed, 62 insertions(+), 140 deletions(-)

commit c7afd3aa8307a6bfd68ca485866fb8b60228ed0f
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Sep 26 16:50:26 2011 +0100

    Release 3.2.0

 NEWS         | 9 +++++++++
 configure.in | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit e5fbeb6ac816eb92a6b33881696357bd7482bd9b
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Sat Sep 24 16:58:34 2011 +0530

    Updated Assamese Translations:bugzilla#659595

 po/as.po | 363 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 212 insertions(+), 151 deletions(-)

commit e0291ff5d384fd82102351103ff3a3dbf689d00a
Author: Flemming Christensen <fc@stromata.dk>
Date:   Thu Sep 22 16:13:18 2011 +0200

    Updated Danish translation

 po/da.po | 351 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 207 insertions(+), 144 deletions(-)

commit 205f6ab1d29a422c41e380ebba34e26a02f0dba7
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Sep 21 17:19:55 2011 +0200

    Updated Basque language

 po/eu.po | 457 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 274 insertions(+), 183 deletions(-)

commit b4d6f7b75a40c0c1fc5c6e9f76beffb54f948ab3
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Sep 21 02:29:08 2011 +0200

    Updated Hungarian translation

 po/hu.po | 459 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 283 insertions(+), 176 deletions(-)

commit 82bada34f1cac6eabcbf27a0ea9579c4299d5e3e
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Sep 19 21:12:47 2011 +0200

    [l10n] Updated German translation

 po/de.po | 553 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 313 insertions(+), 240 deletions(-)

commit 34ecc9abc600836b912468c7ec87d2ebd94b6210
Author: Rob Bradford <rob@linux.intel.com>
Date:   Mon Sep 19 19:22:52 2011 +0100

    Release 3.1.92

 NEWS         | 15 +++++++++++++++
 configure.in |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 5a46db5bbc995a3e98cffdd8b7796fa1b86badab
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 11:25:40 2011 +0900

    Updated Japanese translation

 po/ja.po | 106 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 53 insertions(+), 53 deletions(-)

commit 6298d07f3a0485368c4a5512730bb190aace1f1a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Sep 17 00:05:04 2011 +0200

    Updated Serbian translation

 po/sr.po       | 810 +++++++++++++++++++++++++++++++--------------------------
 po/sr@latin.po | 802 ++++++++++++++++++++++++++++++--------------------------
 2 files changed, 876 insertions(+), 736 deletions(-)

commit 9a166a78b212a7421c68953121b4d201e80911e5
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   Fri Sep 16 08:25:59 2011 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po | 352 +++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 208 insertions(+), 144 deletions(-)

commit c4e913e6bbaaf7c52174b48a4ea6da9797492041
Author: Xandru Armesto <xandru@softastur.org>
Date:   Wed Sep 14 16:57:03 2011 +0200

    Updated asturian translation

 po/ast.po | 1147 ++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 713 insertions(+), 434 deletions(-)

commit ea43f64e750afda815aba294643a71f10a723490
Author: I Felix <ifelix25@gmail.com>
Date:   Tue Sep 13 15:05:50 2011 +0530

    Updated Tamil Translations

 po/ta.po | 858 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 536 insertions(+), 322 deletions(-)

commit b4811daf88cb152bf51efb485a25c17eb85c4598
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Tue Sep 13 13:24:29 2011 +0800

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po | 349 +++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 205 insertions(+), 144 deletions(-)

commit 2247b9875e305581001d520502c5fc68601f454b
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Tue Sep 13 09:06:56 2011 +0900

    Updated Korean translation

 po/ko.po | 421 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 261 insertions(+), 160 deletions(-)
[--snip--]
